---
type: api
title: Get proxy
description: Retrieves a single proxy by ID.
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/operation/operation-get-proxy
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/operation/operation-get-proxy
products:
  - Elastic Cloud Enterprise
---

# Get proxy

## Paths

- `GET` `/platform/infrastructure/proxies/{proxy_id}`

- [Basic auth](/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/authentication#basicauth)
- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/authentication#apikey)

#### Path Parameters

- `proxy_id` (string)
  The identifier for the proxy

## Description

Retrieves a single proxy by ID.

## Responses

#### `200`

The information for the proxy specified by {proxy_id}.

`application/json`

- `proxy_id` (string)
  The proxy identifier
- `runner_id` (string)
  Identifier of the runner for the proxy
- `host_ip` (string)
  IP of the host the proxy runs on
- `public_hostname` (string)
  Public hostname of the host the proxy runs on
- `metadata` (object)
  Arbitrary metadata associated with the proxy
- `healthy` (boolean)
  Specifies if the proxy is healthy
- `zone` (string)
  The zone.
- `allocations` ([] ProxyAllocationInfo)
  Allocation information by type.
  - `allocations_type` (enum)
    The type of proxy allocations
    Values: `elasticsearch`, `kibana`, `apm`, `integrations_server`, `appsearch`, `enterprise_search`
  - `counts` ({} ProxyAllocationCounts)
    The number of proxy allocations.
    - `allocations` (integer)
      The allocations count.
    - `connectors` (integer)
      The connector count.
#### `404`

Unable to find the {proxy_id} specified proxy. Edit your request, then try again. (code: `proxies.proxy_not_found`)

`application/json`

- `errors` ([] BasicFailedReplyElement)
  A list of errors that occurred in the failing request
  - `code` (string)
    A structured code representing the error type that occurred
  - `message` (string)
    A human readable message describing the error that occurred
  - `fields` ([] string)
    If the error can be tied to a specific field or fields in the user request, this lists those fields
##### Response Headers

- `x-cloud-error-codes` (enum)
  The error codes associated with the response

## Code Examples

#### Console

```console
GET /platform/infrastructure/proxies/{proxy_id}
```

#### curl

```curl
curl -X GET "/platform/infrastructure/proxies/{proxy_id}"
```

